The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Zend Optimizer

Discussion in 'General Discussion' started by jackschitt, Mar 24, 2007.

  1. jackschitt

    jackschitt Member

    Joined:
    Mar 22, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    I have a cms system installed on my server that requires Zend Optimizer to make it work .

    I have the needed file but would like a little advice in how i install it onto my server through whm .

    Thanks :)
     
  2. ujr

    ujr Well-Known Member

    Joined:
    Mar 19, 2004
    Messages:
    290
    Likes Received:
    0
    Trophy Points:
    16
    this has been covered a number of times, but there is a script in the scripts directory, which you can run to install ZO. If you require a certain version of ZO, or a later version than what CPanel usually will install by default, you can edit the file and place the version number in the file.

    here is the script location:

    /scripts/installzendopt
     
  3. jackschitt

    jackschitt Member

    Joined:
    Mar 22, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Thanks for your help ujr . i'm having trouble finding the script location ( still new to whm )

    Should i be able to find this under RPM Package Installer , php wiki or somewhere else ?
     
  4. _Sam_

    _Sam_ Well-Known Member

    Joined:
    Feb 24, 2007
    Messages:
    79
    Likes Received:
    0
    Trophy Points:
    6
    You have to run
    /scripts/installzendopt
    in SSH
     
  5. jackschitt

    jackschitt Member

    Joined:
    Mar 22, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Just get's more confusing :confused:

    Ruunning the script demand just gives me errors :

    mkdir: cannot create directory `/home/cpzendinstall': Permission denied
    Downloading Zend Optimizer.....--19:53:53-- http://downloads.zend.com/optimizer/3.0.1/Ze
    ndOptimizer-3.0.1-linux-glibc21-i386.tar.gz
    => `-'
    Resolving downloads.zend.com... 66.98.224.81
    Connecting to downloads.zend.com|66.98.224.81|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 6,358,090 (6.1M) [application/gzip]

    100%[=============================================>] 6,358,090 2.12M/s

    19:53:56 (2.11 MB/s) - `-' saved [6358090/6358090]

    Done
    tar: /home/cpzendinstall/zendopt.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    tar: /home/cpzendinstall/zendopt.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    Unable to download zend optimizer. at /scripts/installzendopt line 57.
     
  6. celliott

    celliott Well-Known Member

    Joined:
    Jan 2, 2006
    Messages:
    460
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    United Kingdom
    Make sure you are logged into SSH as root, if you are then theres some serious permission errors going on!
     
  7. ujr

    ujr Well-Known Member

    Joined:
    Mar 19, 2004
    Messages:
    290
    Likes Received:
    0
    Trophy Points:
    16
    Yep, you need to be root !

    You could also grab the tarball at the Zend site and try a manual install.
     
  8. jackschitt

    jackschitt Member

    Joined:
    Mar 22, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    I have now managed to connect with root access to download the script , but how do i now get whm to install it :confused:
     
  9. katmai

    katmai Well-Known Member

    Joined:
    Mar 13, 2006
    Messages:
    526
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Brno, Czech Republic
    for christ sake


    /scripts/installzendopt
     
  10. jackschitt

    jackschitt Member

    Joined:
    Mar 22, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Christ could not help me but i do now have zend installed !

    Thanks guys :)
     
  11. ebinfo

    ebinfo Active Member

    Joined:
    Oct 5, 2005
    Messages:
    31
    Likes Received:
    0
    Trophy Points:
    6
    wanted to install zend optimizer using the file inside the /scripts directory, but after doing so i found out that all my PHP pages were coming out blank, the php code wasn't executed at all. commenting the stuff Zend optimizer added in the PHP.ini put php back in working order, but i sure wonder what's going on with the installer.
     
  12. joesixon

    joesixon Registered

    Joined:
    Dec 4, 2004
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Bangalore
    Check php -v it should show something like,

    -------------------------------
    PHP 4.4.4 (cli) (built: Mar 22 2007 09:07:04)
    Copyright (c) 1997-2006 The PHP Group
    Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies
    with Zend Extension Manager v1.0.10, Copyright (c) 2003-2006, by Zend Technologies
    with Zend Optimizer v3.0.1, Copyright (c) 1998-2006, by Zend Technologies
    -------------------------------

    If you find some error in it that means Zend is not installed properly. Please make sure that the current Zend version is compatible with php. You can try reinstalling a different version of Zend by changing version in /scripts/installzendopt.

    -------------------------------
    my $ver = '2.6.2';
    -------------------------------
     
  13. Un Area

    Un Area Well-Known Member

    Joined:
    Nov 16, 2006
    Messages:
    78
    Likes Received:
    0
    Trophy Points:
    6
    As I see you have an old zend version. Latest version at zend site is 3.2.6.

    You may upgrade at latest but if you run /scripts/installzendopt you will download version 3.0.1 all time.

    To download the latest version you should run at the prompt /scripts/installzendopt 3.2.6 and it will download you the latest 3.2.6 to your server.

    Bye!
     
  14. Secmas

    Secmas Well-Known Member

    Joined:
    Feb 18, 2005
    Messages:
    321
    Likes Received:
    0
    Trophy Points:
    16
    Hi,
    I have this little question... Does a zend file test exists?

    I have done the installation but I will like to test my installation with an encrypted zend file, is there a place where to download such a file?
     
  15. Spiral

    Spiral BANNED

    Joined:
    Jun 24, 2005
    Messages:
    2,023
    Likes Received:
    7
    Trophy Points:
    0
    That may not be necessary as you can tell if Zend Optimizer was properly
    activated or not by reading the screen generated by the phpinfo() command.

    Just a little bit below the "./configure" section will be a box that tells you
    that you have Zend, Zend Optimizer, and / or IonCube as applicable.
     
  16. Secmas

    Secmas Well-Known Member

    Joined:
    Feb 18, 2005
    Messages:
    321
    Likes Received:
    0
    Trophy Points:
    16
    Well, my question is because everything is installed in my server but when I try to access a file that uses ZEND it shows:
    And this is my PHPINFO:
    So, why it shows that ZEND is not installed?

    Any idea?
     
  17. AlexV.

    AlexV. Well-Known Member

    Joined:
    Jun 15, 2006
    Messages:
    212
    Likes Received:
    1
    Trophy Points:
    16
    Secmas:

    Are you running PHP 5?

    You might need to tweak /scripts/installzendopt to install Zend Optimizer 3.2.8.

    All is needed is to change this line:
    my $ver = '3.2.2';

    to

    my $ver = '3.2.8';

    Then run the script to install that version accordingly.
     
  18. Secmas

    Secmas Well-Known Member

    Joined:
    Feb 18, 2005
    Messages:
    321
    Likes Received:
    0
    Trophy Points:
    16
    Thankyou Alex,
    but actually I am using PHP 4.4.4.
     
  19. thomasconor

    thomasconor Member

    Joined:
    Aug 2, 2006
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    Php 5.2.1 with Zend Optmizer3.2.8 (Failed)

    I have installed the Zend Optimizer using /scripts/installzendopt after changing the version to 3.2.8
    The installation went smooth. But still I am not getting the Zend Optmizer activated on the web (phpinfo)
    where as from my console its shows that Zend Optimizer is installed

    I am using php version 5.2.1+ apache 1.3
    CentOS 4.4
    Please guide some help. We really need to fix this as our billing system totally depends on this Zend optimizer :(

    Thank you
     
  20. thomasconor

    thomasconor Member

    Joined:
    Aug 2, 2006
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    my issue is fixed

    I did a recompile of php+apache from the WHM with an UNCHECKED version option within the php modules.
    That showed up the Zend Optimizer on phpinfo(); also .

    Now using php5.2.1 + ZendOptmizer 3.2.8 with apache 1.3

    Life is back to normal.

    Thank you All.
     
Loading...

Share This Page